System functions

Note
  The system functions are only available in the scripts if the application registers support for it.

# Functions

void print(const string &in line)

Prints a line to the standard output.

string getInput()

Gets a line from the standard input.

array<string> @getCommandLineArgs()

Gets the command line arguments as an array.

int exec(const string &in cmd)
int exec(const string &in cmd, string &out output)

Executes a system command.

Returns -1 on error or raises an exception. On success returns the exit code from the system commmand.

The second alternative allows to capture the stdout into a string, to be further processed.